#! /usr/bin/python
import sys, glob, string, strip_quotation

tablenames = {'drugrefImport/comp.txt':'cd_companies',
		'drugrefImport/drug.txt':'cd_drug_product',
		'drugrefImport/form.txt':'cd_form',
		'drugrefImport/inactive.txt':'cd_inactive_products',
		'drugrefImport/ingred.txt':'cd_active_ingredients',
		'drugrefImport/package.txt':'cd_packaging',
		'drugrefImport/pharm.txt':'cd_pharmaceutical_std',
		'drugrefImport/route.txt':'cd_route',
		'drugrefImport/schedule.txt':'cd_schedule',
		'drugrefImport/status.txt':'cd_drug_status',
		'drugrefImport/ther.txt':'cd_therapeutic_class',
		'drugrefImport/vet.txt':'cd_veterinary_species'}

psqlfile = open('import_dpd_tables.psql', 'w')
#psqlfile.write("\\i create_dpd_tables.psql\n")

for file in glob.glob("drugrefImport/*.txt"):
	filename = file+'.tsf'
	print "converting %s to tab separated %s" % (file, filename)
	psqlfile.write("\\copy %s FROM %s WITH DELIMITER '\\t'\n" % (tablenames[file], filename) )
	strip_quotation.strip_quotation(file, filename)
psqlfile.close()


